Organization API: Customer Portal: Files
The 15 Organization API operations for files.
Part of Customer Portal.
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/chmod
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
files |
array of object |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/compress
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
files |
array of string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/contents
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
path |
query |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/copy
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
location |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/decompress
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
file |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/delete
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
files |
array of string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/download
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
path |
query |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/list
| Name |
In |
Type |
Required |
Description |
uuid |
path |
string |
yes |
|
org_slug |
path |
string |
yes |
|
directory |
query |
string |
no |
Default: /. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/mkdir
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
name |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/pull
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
url |
string |
yes |
destination_path |
string |
yes |
filename |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/pull/cancel
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
download_id |
query |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/pull/status
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/rename
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
root |
string |
no |
files |
array of object |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/upload
| Name |
In |
Type |
Required |
Description |
uuid |
path |
string |
yes |
|
org_slug |
path |
string |
yes |
|
directory |
query |
string |
no |
Default: /. |
multipart/form-data (required)
| Field |
Type |
Required |
files |
array of string (binary) |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/servers/{uuid}/files/write
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
path |
string |
yes |
content |
string |
no |
expected_hash |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |